#this is for initiating the plaid object as a module
module Plaid
	#create a class?
	class << self

		attr_accessor :mfa_response, :mfa_type, :mfa_message, :username, :password, :institution, :endpoint, :secret, :access_token, :is_mfa_initialized, :email

		#client used to initialize access through Plaid
		def client(username, email, password, institution, access_token = nil)
			self.username = username
			self.email = email
			self.password = password
			self.institution = institution
			self.access_token = access_token unless access_token.blank?
			self.mfa_response ||= []

			puts "Plaid client was made!"
		end
	end
end